Skip to main content
`Ctrl`+`K`

# MatMPIAIJSetUseScalableIncreaseOverlap

Determine if the matrix uses a scalable algorithm to compute the overlap

## Synopsis

    #include "petscmat.h"
    PetscErrorCode MatMPIAIJSetUseScalableIncreaseOverlap(Mat A, PetscBool sc)

Collective

## Input Parameters

- A - the matrix

- sc - `PETSC_TRUE` indicates use the scalable algorithm (default is not to use the scalable algorithm)

## See Also

Matrices, `Mat`, `MATMPIAIJ`

## Level

advanced

## Location

src/mat/impls/aij/mpi/mpiaij.c

## Implementations

MatMPIAIJSetUseScalableIncreaseOverlap_MPIAIJ() in src/mat/impls/aij/mpi/mpiaij.c

Index of all Mat routines
Table of Contents for all manual pages
Index of all manual pages